perl-Module-ScanDeps-1.19-2.2.x86_64.rpm


Advertisement

Description

perl-Module-ScanDeps - Recursively scan Perl code for dependencies

Distribution: openSUSE 42.1
Repository: openSUSE Oss all
Package name: perl-Module-ScanDeps
Package version: 1.19
Package release: 2.2
Package architecture: x86_64
Package type: rpm
Installed size: 98.57 KB
Download size: 47.28 KB
Official Mirror: ftp.gwdg.de
This module scans potential modules used by perl programs, and returns a hash reference; its keys are the module names as appears in '%INC' (e.g. 'Test/More.pm'); the values are hash references with this structure: { file => '/usr/local/lib/perl5/5.8.0/Test/More.pm', key => 'Test/More.pm', type => 'module', # or 'autoload', 'data', 'shared' used_by => [ 'Test/Simple.pm', ... ], uses => [ 'Test/Other.pm', ... ], } One function, 'scan_deps', is exported by default. Other functions such as ('scan_line', 'scan_chunk', 'add_deps', 'path_to_inc_name') are exported upon request. Users of *App::Packer* may also use this module as the dependency-checking frontend, by tweaking their _p2e.pl_ like below: use Module::ScanDeps; ... my $packer = App::Packer->new( frontend => 'Module::ScanDeps' ); ... Please see the App::Packer::Frontend manpage for detailed explanation on the structure returned by 'get_files'.

Alternatives

Requires

Provides

  • perl(Module::ScanDeps) = 1.19
  • perl(Module::ScanDeps::Cache)
  • perl(Module::ScanDeps::DataFeed)
  • perl-Module-ScanDeps = 1.19-2.2
  • perl-Module-ScanDeps(x86-64) = 1.19-2.2

    Install Howto

    Install perl-Module-ScanDeps rpm package:

    # zypper install perl-Module-ScanDeps

    Files

    • /usr/bin/scandeps.pl
    Advertisement
    Advertisement